/*------------------------------------*\
    #HEADER-SLIDER
\*------------------------------------*/
/**
 * Header slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}header-slider,
%#{$inuit-namespace}header-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    margin-top: 0;
    position: relative;
    padding: 0;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the news-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        margin-bottom: 0;
        padding-bottom: $inuit-news-slider-space-vertical;
    }

    .slick-list {
        margin: 0;
        padding: 0;

        .cssvwunit & {
            margin: 0;
        }
    }

    .o-stage__img-wrap {
        max-height: 628px;
    }

    .o-section {
        margin-bottom: 0;

        &:last-child {
            margin-bottom: 0;
        }
    }

    .c-news-slider {
        &__break,
        &__play {
            background: rgba(255, 255, 255, 0.82);
            top: 10px;
            left: 10px;
        }
    }
}

.#{$inuit-namespace}header-slider__item,
%#{$inuit-namespace}header-slider__item {
  padding: 0;

  &.slick-active {
    text-decoration: inherit;
  }

  .o-cms-content {
    padding: 0;
  }
}

@media only screen and (max-width: 64.0625em) {
    .c-header-slider .c-news-slider__arrow {
        top	: 50px;
    }
}

@media only screen and (min-width: 64.0625em) and (max-width: 1300px) {
  .c-header-slider .c-stage-teaser__content {
    margin-left	:	70px;
    max-width	: 	60%;
  }
}

